import { Bytes } from '@cmdcode/buff-utils';
export declare class Cipher {
    private readonly key;
    static fromSecret(secret: Bytes): Promise<Cipher>;
    static fromShared(secret: Bytes, shared: Bytes): Promise<Cipher>;
    static encrypt(secret: Bytes | CryptoKey, message: Bytes, vector?: Bytes): Promise<Uint8Array>;
    static decrypt(secret: Bytes | CryptoKey, message: Bytes, vector?: Bytes): Promise<Uint8Array>;
    constructor(cryptoKey: CryptoKey);
    get secretKey(): Promise<Uint8Array>;
    get secretHex(): Promise<string>;
    encrypt(message: Bytes, vector?: Bytes): Promise<Uint8Array>;
    decrypt(message: Bytes, vector?: Bytes): Promise<Uint8Array>;
}
//# sourceMappingURL=cipher.d.ts.map