import { Buff } from '@cmdcode/buff-utils';
import * as Noble from '@cmdcode/secp256k1';
type FieldValue = string | number | bigint | Uint8Array | Field;
type PointValue = string | number | bigint | Uint8Array | Point;
export declare class Field extends Uint8Array {
    static N: bigint;
    static mod(n: bigint, m?: bigint): bigint;
    static normalize(num: FieldValue): Uint8Array;
    static validate(num: bigint): boolean;
    constructor(x: FieldValue);
    get buff(): Buff;
    get raw(): Uint8Array;
    get num(): bigint;
    get big(): bigint;
    get hex(): string;
    get point(): Point;
    get hasOddY(): boolean;
    get negated(): Field;
    gt(num: FieldValue): boolean;
    lt(num: FieldValue): boolean;
    eq(num: FieldValue): boolean;
    ne(num: FieldValue): boolean;
    add(num: FieldValue): Field;
    sub(num: FieldValue): Field;
    mul(num: FieldValue): Field;
    pow(num: FieldValue, n?: bigint): Field;
    div(num: FieldValue): Field;
    negate(): Field;
    generate(): Point;
}
export declare class Point {
    static N: bigint;
    static validate(x: PointValue): boolean;
    static normalize(x: PointValue): Noble.Point;
    static generate(num: FieldValue): Point;
    static import(point: Point | Noble.Point): Point;
    readonly __p: Noble.Point;
    constructor(x: PointValue, y?: bigint);
    get p(): Noble.Point;
    get x(): bigint;
    get y(): bigint;
    get buff(): Buff;
    get buffX(): Buff;
    get raw(): Uint8Array;
    get rawX(): Uint8Array;
    get rawY(): Uint8Array;
    get hex(): string;
    get hexX(): string;
    get hasEvenY(): boolean;
    get hasOddY(): boolean;
    eq(x: PointValue): boolean;
    add(x: PointValue): Point;
    sub(x: PointValue): Point;
    mul(x: PointValue): Point;
    negate(): Point;
}
export {};
//# sourceMappingURL=ecc.d.ts.map