import { Bytes } from '@cmdcode/buff-utils';
import { Field, Point } from './ecc.js';
import { SignatureTypes } from './signer.js';
export declare class SecretKey extends Field {
    static random(): SecretKey;
    static negated(secret: Bytes): SecretKey;
    constructor(secret: Bytes, evenOnly?: boolean);
    get pub(): PublicKey;
    sign(message: Bytes, type?: SignatureTypes): Promise<Uint8Array>;
    verify(message: Bytes, signature: Bytes, type?: SignatureTypes): Promise<boolean>;
}
export declare class PublicKey extends Point {
    static random(): PublicKey;
    constructor(bytes: Bytes);
    verify(message: Bytes, signature: Bytes, type?: SignatureTypes): Promise<boolean>;
}
export declare const KeyPair: typeof SecretKey;
//# sourceMappingURL=keypair.d.ts.map