import { Bytes } from '@cmdcode/buff-utils';
export declare const crypto: Crypto;
declare function ecdh(secretKey: Bytes, sharedKey: Bytes): Promise<Uint8Array>;
declare function importCryptoKey(key: Bytes): Promise<CryptoKey>;
declare function exportCryptoKey(key: CryptoKey): Promise<Uint8Array>;
declare function importHmacKey(key: Bytes, fmt?: string): Promise<CryptoKey>;
declare function generateCryptoKey(): Promise<CryptoKey>;
declare function normalizeCryptoKey(key: Bytes | CryptoKey): Promise<CryptoKey>;
declare function getSharedCryptoKey(secretKey: Bytes, sharedKey: Bytes): Promise<CryptoKey>;
export declare const KeyUtil: {
    ecdh: typeof ecdh;
    import: typeof importCryptoKey;
    export: typeof exportCryptoKey;
    hmac: typeof importHmacKey;
    shared: typeof getSharedCryptoKey;
    generate: typeof generateCryptoKey;
    normalize: typeof normalizeCryptoKey;
};
export {};
//# sourceMappingURL=utils.d.ts.map